## ros-indigo-yujin-maps 0.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(yujin_maps)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY maps
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-yujin-maps (0.2.3-0trusty) trusty; urgency=high

  * Merge pull request #4 <https://github.com/yujinrobot/yujin_maps/issues/4> from mehditlili/master
    new yujin_inno_room map
  * deleted old map
  * fixed wrong path to pgm file
  * new yujin_inno_room
  * Contributors: Jihoon Lee, Mehdi Tlili

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 23 Sep 2014 15:00:00 -0000

ros-indigo-yujin-maps (0.2.2-0trusty) trusty; urgency=high

  * lower occupid threshold from 0.65 to 0.55
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 07 Aug 2014 15:00:00 -0000

ros-indigo-yujin-maps (0.2.1-0trusty) trusty; urgency=high

  * cropped version of yujin_rnd map
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 22 Jun 2014 15:00:00 -0000

ros-indigo-yujin-maps (0.2.0-0trusty) trusty; urgency=high

  * clearing legacy maps #3 <https://github.com/yujinrobot/yujin_maps/issues/3>
  * Merge pull request #2 <https://github.com/yujinrobot/yujin_maps/issues/2> from kentsommer/master
    Added yujin_inno_room
  * Add missing catkin_package macro
  * cleaning up cmake
  * adding author
  * Contributors: Jihoon Lee, Jorge Santos, kentsommer

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 16 Jun 2014 15:00:00 -0000

ros-indigo-yujin-maps (0.1.0-0trusty) trusty; urgency=high

  * update package.xml
  * yujin_map
  * Initial commit
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 26 Mar 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-yujin-maps
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-yujin-maps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The yujin_maps package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-yujin-maps//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
